<?php

namespace App\Models\OLDLMS;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Healthcare extends Model
{
    use HasFactory, SoftDeletes;

    const CREATED_AT = 'dCreateOn';
    const UPDATED_AT = 'dUpdateOn';
    const DELETED_AT = 'dDeleteOn';

    protected $connection = 'oldlms';

    protected $table = 'tm_healthcare';

    protected $primaryKey = 'nID';

    public function commission()
    {
        return $this->hasOne(HealthcareCommission::class, 'nIDHealthcare', 'nID')->where('sStatus', 1);
    }

    public function jadwalDokter()
    {
        return $this->hasMany(JadwalDokter::class, 'nIDHealthCare', 'nID');
    }
}
